actions: []
api_documentation: http://docs.ros.org/hydro/api/pluginlib/html
authors: Eitan Marder-Eppstein, Tully Foote, Dirk Thomas, Mirza Shah
brief: ''
bugtracker: ''
depends:
- rosconsole
- catkin
- class_loader
- roslib
- tinyxml
- boost
depends_on:
- ros_ethercat_hardware
- moveit_planners_ompl
- robot_navigator
- moveit_ros_perception
- steered_wheel_base_controller
- costmap_2d
- pr2_moveit_tutorials
- rviz
- laser_filters
- pr2_mechanism_controllers
- descartes_moveit
- pr2_gripper_sensor_controller
- scriptable_monitor_rqt
- dynamixel_motor_experimental
- test_nodelet
- phidgets_imu
- segbot_sensors
- pr2_moveit_plugins
- joint_qualification_controllers
- ethercat_trigger_controllers
- laser_tilt_controller_filter
- test_diagnostic_aggregator
- laser_proc
- ml_classifiers
- staubli_rx160_moveit_plugins
- mr_rqt
- force_torque_sensor_controller
- ros_ethercat_loop
- baxter_ikfast_left_arm_plugin
- nao_driver
- laser_assembler
- ethercat_hardware
- hector_exploration_planner
- ros_ethercat_model
- yocs_diff_drive_pose_controller
- move_slow_and_clear
- moveit_fake_controller_manager
- gazebo_ros_control
- kobuki_safety_controller
- mavros
- pluginlib_tutorials
- fanuc_m430ia_moveit_plugins
- descartes_planner
- kobuki_bumper2pc
- clear_costmap_recovery
- nodelet_topic_tools
- kobuki_controller_tutorial
- chomp_interface_ros
- eband_local_planner
- sr_ronex_examples
- navfn
- dwa_local_planner
- move_base
- kobuki_node
- controller_interface
- velodyne_height_map
- uwsim
- joint_state_controller
- hector_geotiff
- collada_urdf_jsk_patch
- controller_manager
- qt_gui_cpp
- velodyne_pointcloud
- pr2_calibration_controllers
- pr2_planning_interface_tests
- fanuc_lrmate200ic_moveit_plugins
- pr2_moveit_tests
- diagnostic_aggregator
- yocs_velocity_smoother
- moveit_controller_manager_example
- pcl_ros
- fanuc_m20ia_moveit_plugins
- urdf
- filters
- sr_ronex_controllers
- fanuc_m16ib_moveit_plugins
- nodelet
- image_transport
- pr2_controller_manager
- abb_irb2400_moveit_plugins
- imu_sensor_controller
- base_local_planner
- rqt_rviz
- cob_kinematics
- kobuki_auto_docking
- moveit_simple_controller_manager
- naoqi_driver_py
- test_nodelet_topic_tools
- imu_filter_madgwick
- cmd_vel_mux
- scriptable_monitor
- sr_ronex_drivers
- vrep_ros_plugin
- moveit_ros_planning
- corobot_diagnostics
- naoqi_driver
- robot_mechanism_controllers
- yocs_cmd_vel_mux
- exploration
- velodyne_driver
- nao_dashboard
- pr2_motor_diagnostic_tool
- freenect_camera
- nav2d_navigator
- baxter_ikfast_right_arm_plugin
- sr_mechanism_controllers
- theora_image_transport
- pr2_mechanism_model
- ur_kinematics
- fanuc_lrmate200id_moveit_plugins
- fanuc_m10ia_moveit_plugins
- moveit_ros_move_group
- pr2_arm_kinematics
- carrot_planner
- rotate_recovery
- global_planner
- sbpl_interface_ros
- rviz_animated_view_controller
- kobuki_random_walker
- cob_camera_sensors
- cob_cam3d_throttle
- industrial_trajectory_filters
- katana_moveit_ikfast_plugin
- dynamixel_hardware_interface
- moveit_ros_manipulation
- moveit_ros_visualization
- nav2d_exploration
- labust_allocation
description: "The pluginlib package provides tools for writing and dynamically loading\
  \ plugins using the ROS build infrastructure.\n    To work, these tools require\
  \ plugin providers to register their plugins in the package.xml of their package."
devel_jobs:
- devel-hydro-pluginlib
doc_job: doc-hydro-pluginlib
has_changelog_rst: false
license: BSD, Boost Software License
maintainer_status: maintained
maintainers: Esteve Fernandez <esteve@osrfoundation.org>
msgs: []
package_type: package
release_jobs:
- ros-hydro-pluginlib_sourcedeb
- ros-hydro-pluginlib_binarydeb_precise_amd64
- ros-hydro-pluginlib_binarydeb_precise_i386
- ros-hydro-pluginlib_binarydeb_quantal_amd64
- ros-hydro-pluginlib_binarydeb_quantal_i386
- ros-hydro-pluginlib_binarydeb_raring_amd64
- ros-hydro-pluginlib_binarydeb_raring_i386
repo_name: pluginlib
repo_url: ''
srvs: []
timestamp: 1440602929.730978
url: http://www.ros.org/wiki/pluginlib
vcs: git
vcs_uri: https://github.com/ros/pluginlib.git
vcs_version: groovy-devel
